### Hierarchy

- PushSubscription

## Index

### Properties

- endpoint
- expirationTime
- options

### Methods

- getKey
- toJSON
- unsubscribe

## Properties

### endpoint

endpoint: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11270

### expirationTime

expirationTime: number | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11271

### options

options: PushSubscriptionOptions

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11272

## Methods

### getKey

- getKey(name: PushEncryptionKeyName): ArrayBuffer | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11273

  #### Parameters

  - ##### name: PushEncryptionKeyName

  #### Returns ArrayBuffer | null

### toJSON

- toJSON(): PushSubscriptionJSON

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11274

  #### Returns PushSubscriptionJSON

### unsubscribe

- unsubscribe(): Promise<boolean>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11275

  #### Returns Promise<boolean>

Generated using TypeDoc